Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84312 - tcp-wrapper related link-time warnings about sys_nerr et.al.
Summary: tcp-wrapper related link-time warnings about sys_nerr et.al.
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: tcp_wrappers
Version: 1.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Florian La Roche
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks: 79579
TreeView+ depends on / blocked
 
Reported: 2003-02-14 10:09 UTC by matti aarnio
Modified: 2007-04-18 16:51 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-16 09:14:24 UTC


Attachments (Terms of Use)

Description matti aarnio 2003-02-14 10:09:09 UTC
gcc ...  -lwrap  ...
/usr/lib/gcc-lib/i386-redhat-linux/3.2.1/../../../libwrap.a(percent_m.o)(.text+0x49):
In function `percent_m':
: `sys_errlist' is deprecated; use `strerror' or `strerror_r' instead
/usr/lib/gcc-lib/i386-redhat-linux/3.2.1/../../../libwrap.a(percent_m.o)(.text+0x3c):
In function `percent_m':
: `sys_nerr' is deprecated; use `strerror' or `strerror_r' instead


This appeared with current rawhide bintools, glibc, and tcp_wrappers.


How reproducible:
Always

Steps to Reproduce:
1. Link tcp-wrapper library statically into some application.
2. observe link-time warnings

Comment 1 Florian La Roche 2003-02-16 09:14:24 UTC
Fixed in -34, soon in rawhide.

greetings,

Florian La Roche



Note You need to log in before you can comment on or make changes to this bug.